package com.unis.flowable.server.controller;


import com.unis.common.utils.ResponseWrapper;
import com.unis.flowable.server.service.SysEventMessageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/** 
 * @ClassName SysEventMessageController
 * @Description: 
 * @author: zhaoxd
 * @date: 2019年2月15日 下午1:37:56
 * @version v1.0
 */
@RestController
@RequestMapping("/sysEventMessage")
@Slf4j
@Api(value = "待办事件消息管理", tags = "待办事件消息管理")
public class SysEventMessageController {

	@Autowired
	private SysEventMessageService server;

	/**
	 * @Description 待办事件列表
	 * @param
	 * @return
	 * @throws
	 * @version v1.0
	 * @author zhaoxd
	 * @date 2018年12月28日
	 */
	@ApiOperation(value = "查询OA待办事件列")
	@PostMapping("/findOAList")
	public ResponseWrapper  findOAList(){
		try {
			return ResponseWrapper.success(server.findDBList3());
		} catch (Exception e) {
			log.error("查询首页待办事件列失败{}", e);
			return ResponseWrapper.error("请联系管理员");
		}
	}
	/**
	 * @Description 通知事件列表
	 * @param 
	 * @return
	 * @throws 
	 * @version v1.0
	 * @author zhaoxd
	 * @date 2018年12月28日
	 */
	/*@ApiOperation(value = "查询首页通知事件列")
	@PostMapping("/findTZList")
	public ResponseWrapper  findTZList(){
		try {
			return ResponseWrapper.success(server.findTZList());
		} catch (Exception e) {
			log.error("查询首页待办事件列失败{}", e);
			return ResponseWrapper.error("请联系管理员");
		}
	}*/
	/**
	 * @Description 跳转到待办事项列表页面
	 * @param 
	 * @return
	 * @throws 
	 * @version v1.0
	 * @author zhaoxd
	 * @date 2018年12月28日
	 */
/*	@ApiOperation(value = "跳转到事项或消息列表页面")
	@PostMapping("/goToEventPage")
	public ResponseWrapper  goToEventPage(@RequestParam(value = "id") Long id){
		try {
			return ResponseWrapper.success(server.goToEventPage( id));
		} catch (Exception e) {
			log.error("跳转到事项列表页面失败{}", e);
			return ResponseWrapper.error("请联系管理员");
		}
	}*/
	/**
	 * @Description 查询待办数量
	 * @param 
	 * @return
	 * @throws 
	 * @version v1.0
	 * @author zhaoxd
	 * @date 2018年12月28日
	 */
/*	@ApiOperation(value = "查询待办数量")
	@PostMapping("/queryWillDidNum")
	public ResponseWrapper  queryWillDidNum(){
		try {
			return ResponseWrapper.success(server.queryWillDidNum());
		} catch (Exception e) {
			log.error("查询待办数量失败{}", e);
			return ResponseWrapper.error("请联系管理员");
		}
	}*/
	
}

